Subtract one arbitrary precision number from another

- « bcsqrt

- GMP »

- PHP Manual
- BC Math Functions
- Subtract one arbitrary precision number from another

# bcsub

(PHP 4, PHP 5, PHP 7, PHP 8)

bcsub — Subtract one arbitrary precision number from another

### Description

bcsub(string `$num1`, string `$num2`, ?int `$scale` = `null`): string

Subtracts the `num2` from the `num1`.

### Parameters

`num1`

  The left operand, as a string.

`num2`

  The right operand, as a string.

`scale`

  This optional parameter is used to set the number of digits after the decimal place in the result. If omitted, it will default to the scale set globally with the bcscale() function, or fallback to `0` if this has not been set.

### Return Values

The result of the subtraction, as a string.

### Changelog

Version | Description
--- | ---
8.0.0 | `scale` is now nullable.

### Examples

Example #1 bcsub() example

    <?php$a = '1.234';$b = '5';echo bcsub($a, $b);     // -3echo bcsub($a, $b, 4);  // -3.7660?>

### See Also

- bcadd() - Add two arbitrary precision numbers